# build_example: Compiles example binaries as well
#	0 = no
#	1 = yes
%define build_example	0

# End of user configurable section

%{?_without_example: %{expand: %%define build_example 0}}
%{?_with_example: %{expand: %%define build_example 1}}

%define req_glib2_version	2.0.0

%define	pkgname		libgtop
%define api_version	2.0
%define lib_major	0

Summary:	The LibGTop library
Name:     	%{pkgname}2
Version: 	2.0.1
Release:	1mdk
License:	GPL
Group:		System/Libraries
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Source: 	ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2

BuildRequires:	libglib2.0-devel >= %{req_glib2_version}

%description
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.

On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package -n %{pkgname}%{api_version}_%{lib_major}
Summary:	%{summary}
Group:		%{group}
Provides:	%{pkgname}%{api_version} = %{version}-%{release}
Requires:   %{name} >= %{version}
Requires:	libglib2.0 >= %{req_glib2_version}

%description -n %{pkgname}%{api_version}_%{lib_major}
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.

On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package -n %{pkgname}%{api_version}_%{lib_major}-devel
Summary:	Development files for %{pkgname}
Group:		Development/GNOME and GTK+
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Requires:	%{pkgname}%{api_version}_%{lib_major} = %{version}
Requires:	libglib2.0-devel >= %{req_glib2_version}

%description -n %{pkgname}%{api_version}_%{lib_major}-devel
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.

Install this package if you wish to develop applications that access
information on system statistics such as CPU and memory usage.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x \
%if %build_example
	--with-libgtop-examples
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std transform=''

%{find_lang} %{pkgname}-%{api_version}

%clean
rm -rf %{buildroot}

%post -n %{pkgname}%{api_version}_%{lib_major} -p /sbin/ldconfig

%postun -n %{pkgname}%{api_version}_%{lib_major} -p /sbin/ldconfig

%post -n %{pkgname}%{api_version}_%{lib_major}-devel
%_install_info %{name}.info

%postun -n %{pkgname}%{api_version}_%{lib_major}-devel
%_remove_install_info %{name}.info

%files -f %{pkgname}-%{api_version}.lang
%defattr(-, root, root)
%doc RELNOTES* NEWS README
%{_bindir}/*
%if %build_example
%dir %{_libdir}/%{pkgname}
%{_libdir}/%{pkgname}/first*
%{_libdir}/%{pkgname}/mountlist*
%{_libdir}/%{pkgname}/netload*
%{_libdir}/%{pkgname}/procmap*
%{_libdir}/%{pkgname}/second*
%{_libdir}/%{pkgname}/smp*
%{_libdir}/%{pkgname}/sysdeps*
%{_libdir}/%{pkgname}/timings*
%endif

%files -n %{pkgname}%{api_version}_%{lib_major}
%defattr(-, root, root)
%doc RELNOTES* NEWS README
%{_libdir}/lib*.so.*

%files -n %{pkgname}%{api_version}_%{lib_major}-devel
%defattr(-, root, root)
%doc AUTHORS ChangeLog
%{_includedir}/%{pkgname}-%{api_version}
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*
%dir %{_libdir}/%{pkgname}
%{_libdir}/%{pkgname}/include
%{_infodir}/*.info*

%changelog
* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Wed Apr 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.90.2-1mdk
- First official Mdk package

* Sun Mar 17 2002 Abel Cheung <maddog@linux.org.hk> 1.90.2-1mdk
- All patches are merged upstream
- Eliminate usage of "usecvs" variable
- Add variable to toggle building example binaries or not
- Don't use --with-linux-table option in configure
- Build against glib 2.0.0
- Change lib and devel package name

* Mon Jan 14 2002 Abel Cheung <maddog@linux.org.hk> 1.90.1-1mdk
- 1.90.1
- Regenerate patch0
- Rename spec to libgtop2, avoid package name conflict with
  libgtop1

* Wed Jan  9 2002 Abel Cheung <maddog@linux.org.hk> 1.90.0-2mdk
- Rebuild for glib 1.3.12
- Use makeinstall_std
- BuildConflicts itself to avoid generating faulty package

* Tue Dec  4 2001 Abel Cheung <maddog@linux.org.hk> 1.90.0-1mdk
- 1.90.0
- Old patch0 not necessary now
- Ugly hack to regenerate configure
- New patch0: Define $GETTEXT_PACKAGE correctly
- Patch1: Fix compilation of examples
- Patch2: Don't install header for internal use only

* Sun Nov 25 2001 Abel Cheung <maddog@linux.org.hk> 1.1.6-3mdk
- Modify patch0 not to use full version number as include path
- Remove static module from file list

* Mon Oct 29 2001 Abel Cheung <maddog@linux.org.hk> 1.1.6-2mdk
- Bzip2 patch
- Rebuild for glib 1.3.10
- Rename .mo files to coexist with libgtop 1.0.x .mo files
- find_lang is back

* Sat Oct 13 2001 Abel Cheung <maddog@linux.org.hk> 1.1.6-1mdk
- CVS 2001-10-13
- Removed unnecessary copyright files, Requires: common-licenses
- Patch0: parallel installation fix
- Provides: libgtop{,-devel} = $version-$release , Removed Obsoletes: libgtop
- Move info files to devel

* Fri Jul  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.12-4mdk
- Add __KERNEL__ for isdn part compilation 

* Mon Mar 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.12-3mdk
- Correct installation of info files

* Thu Mar  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.12-2mdk
- Recompiled against latest glib/gtk

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.12-1mdk
- Release 1.0.12

* Fri Jan 12 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.9-7mdk
- BuildRequires: bc
- s/Copyright/License

* Tue Nov 28 2000 dam's <damien@mandrakesoft.com> 1.0.9-6mdk
- new lib policy
- added install_info
- moved libgtop_daemon to devel

* Thu Sep  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-5mdk
- Use find_lang macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.9-4mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-3mdk
- More BM
- libgtop-bin is now in devel

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.0.9-2mdk
- BM

* Tue Jun 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-1mdk
- new release
- fix URL
- remove debug info from compilation step (anyway, they were stripped by
  spechelper)
- RPM chmouelization (%%makeinstall, %%configure, %%{_*dir})

* Mon Apr 3 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.7-0.1mdk
- bzipped source 
- include helix stuffs

* Fri Mar 31 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.0.7-0.1mdk_helix_1
- generaly make rpmlint happy, and build for curr glibc 
